import { TypedUseSelectorHook } from 'react-redux';
import { Action, ActionFunctionAny, ActionMeta } from 'redux-actions';
export declare type AsyncActionState = 'START' | 'SUCCESS' | 'FAILURE' | 'CANCEL';
export declare type BaseAction = Action<any> | ActionMeta<any, any>;
export declare type AsyncBaseActionControl = {
    start: ActionFunctionAny<BaseAction>;
    success: ActionFunctionAny<BaseAction>;
    failure: ActionFunctionAny<BaseAction>;
    cancel: ActionFunctionAny<BaseAction>;
};
export declare type AsyncActionReducer = {
    [actionName: string]: AsyncActionState;
};
export declare type Selector = (state: any) => any;
export declare type AwaitControlInitializer = {
    keyReducer?: string;
};
export declare type AwaitControlHook = {
    start: (payload?: any, meta?: any) => BaseAction;
    success: (payload?: any, meta?: any) => BaseAction;
    cancel: (payload?: any, meta?: any) => BaseAction;
    failure: (payload?: any, meta?: any) => BaseAction;
    isRunning: (actionId?: string | number) => TypedUseSelectorHook<any>;
    isCancelled: (actionId?: string | number) => TypedUseSelectorHook<any>;
    hasFailure: (actionId?: string | number) => TypedUseSelectorHook<any>;
    isSuccessful: (actionId?: string | number) => TypedUseSelectorHook<any>;
};
