"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = require("react-redux");
function useAwaitControl(asyncAction) {
    const dispatch = react_redux_1.useDispatch();
    const start = (payload, meta) => dispatch(asyncAction.start(payload, meta));
    const success = (payload, meta) => dispatch(asyncAction.success(payload, meta));
    const cancel = (payload, meta) => dispatch(asyncAction.cancel(payload, meta));
    const failure = (payload, meta) => dispatch(asyncAction.failure(payload, meta));
    const isRunning = (actionId) => react_redux_1.useSelector(asyncAction.isRunning(actionId));
    const isCancelled = (actionId) => react_redux_1.useSelector(asyncAction.isCancelled(actionId));
    const hasFailure = (actionId) => react_redux_1.useSelector(asyncAction.hasFailure(actionId));
    const isSuccessful = (actionId) => react_redux_1.useSelector(asyncAction.isSuccessful(actionId));
    return {
        start,
        success,
        cancel,
        failure,
        isRunning,
        isCancelled,
        hasFailure,
        isSuccessful,
    };
}
exports.default = useAwaitControl;
